PGAGetFitnessMinType(1)

NAME
PGAGetFitnessMinType - Returns the type of fitness transformation used for minimization problems.

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetFitnessMinType(ctx)
PGAContext *ctx

LOCATION
fitness.c

EXAMPLE
for minimization problems

Example:
PGAContext *ctx;
int fitmintype;
:
fitmintype = PGAGetFitnessMinType(ctx);
switch (fitmintype) {
case PGA_FITNESSMIN_RECIPROCAL:
printf("Fitness Minimization Type = PGA_FITNESSMIN_RECIPROCAL);
break;
case PGA_FITNESSMIN_CMAX:
printf("Fitness Minimization Type = PGA_FITNESSMIN_CMAX);
break;
}